# SSZ

**S**imple **S**eriali**Z**e implemented in Ruby programming language.

It's a data serialization format, to replace [RLP](https://github.com/ethereum/wiki/wiki/RLP), used in [eth2](https://github.com/ethereum/eth2.0-specs).

* <https://github.com/ethereum/eth2.0-specs/blob/dev/specs/simple-serialize.md>
* <https://ethresear.ch/t/replacing-ssz-with-rlp-zip-and-sha256/5706>
* <https://rauljordan.com/2019/07/02/go-lessons-from-writing-a-serialization-library-for-ethereum.html>

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ssz-rb'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install ssz-rb

## Usage

TODO: Write usage instructions here

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/kaichen/ssz-rb.


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
