require_relative 'lib/ssz/version'

Gem::Specification.new do |spec|
  spec.name          = "ssz"
  spec.version       = Ssz::VERSION
  spec.authors       = ["Kai Chen"]
  spec.email         = ["kai@thekaiway.com"]

  spec.summary       = %q{Simple serialization implementation in Ruby}
  spec.homepage      = "https://github.com/kaichen/ssz-rb"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = "https://github.com/kaichen/ssz-rb"
  spec.metadata["source_code_uri"] = "https://github.com/kaichen/ssz-rb"
  spec.metadata["changelog_uri"] = "https://github.com/kaichen/ssz-rb/blob/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
